1. Home
  2. Custom Installation
  3. Upgrade Falcon Deploy

Upgrade Falcon Deploy

This document will help you understand the steps required to upgrade the Falcon Deploy application. This section applies to you if you have an existing, working version of the Falcon Deploy application.

Obtain the latest version of the software and the SQL files from the Falcon Deploy Download page. You will need to have an active subscription in order to download the software.

Falcon Deploy upgrade consists of 3 steps.

Database – FALCON Schema Backup

The upgrade should be done when there is no activity in the application. Use your preferred method to take a backup of the FALCON schema.

Database – FALCON Schema Upgrade

This step may be optional and depends on your current version and the version you are upgrading to. Refer to the table below to see if your version requires deploying changes to the FALCON schema.

In some cases, you may be able to deploy the SQL file(s) from within the Falcon Deploy application itself. Administrators have access to an application repository that is dedicated for the Falcon Deploy application. You can find the FALCON_APP repository on the Applications page. This repository will be disabled by default. Administrators will be able to enable it. Note, this repository should only be used for deploying SQL scripts to the FALCON schema. The SQL files that you downloaded from the Falcon Deploy Download page can be added to this repository and deployed to the FALCON schema.

In some cases, we may not be able to deploy to the FALCON schema from the Falcon Deploy application. In such situations, you will have to stop the Falcon Deploy application and then make the database schema changes. Please refer to the column (Deployable from within Falcon Deploy application) in the table below to see if the SQL files for your upgrade can be deployed from within the application itself.

If you are upgrading to an immediate higher version, you will need the SQL files referenced in the column (SQL files required when upgrading) in the table below for the version you are upgrading to.

If you are upgrading to a version that is more than one version from your current version, you will need all the SQL files between the current and the new version. The files have to be applied in the order listed in the table below.

Falcon Deploy VersionSQL files required when upgradingDeployable from within Falcon Deploy application
1.0.0
1.1.0fd_install_1.1.0.sql 
fd_rollback_1.1.0.sql
Yes
1.2.0
fd_install_1.2.0.sql 
fd_rollback_1.2.0.sql
Yes
1.3.0fd_install_1.3.0.sql 
fd_rollback_1.3.0.sql
Yes
1.3.1N/aN/a
1.3.2fd_install_1.3.2.sql
fd_rollback_1.3.2.sql
Yes
2.0.0
(Note Below)
fd_install_2.0.0.sql
fd_rollback_2.0.0.sql
Yes

Version 2.0.0 – If your upgrading from versions lower than 2.0.0, you will have to add a new property datasource.type = oracle before starting the 2.0.0 version. Without this property, the application will fail to start.

Application – Falcon WAR file upgrade

After successful completion of the FALCON schema upgrade, install the new version of the falcon-deploy-<ver>.war file. Follow the steps used to install your existing version of the WAR file.

Updated on November 20, 2019

Related Articles